classification
Title: NetBSD curses support improvements
Type: compile error Stage: resolved
Components: Extension Modules Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder: Make curses compiling on NetBSD 7.1 and tests passing
View: 31891
Assigned To: Nosy List: jcea, serhiy.storchaka, wiz
Priority: normal Keywords: patch

Created on 2014-05-09 08:58 by wiz, last changed 2017-11-04 08:54 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
curses.diff wiz, 2014-05-09 08:57 Patch fixing curses module build on NetBSD review
Messages (6)
msg218140 - (view) Author: Thomas Klausner (wiz) Date: 2014-05-09 08:57
NetBSD's curses headers have different include guards than ncurses.
Also, the NetBSD curses library has been improved and some workaround are no longer necessary.
Diff against hg attached.
msg218150 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2014-05-09 11:05
Thomas, What happens if Python is compiled in an old version of NetBSD?
msg218201 - (view) Author: Thomas Klausner (wiz) Date: 2014-05-09 21:56
Thanks for your reply!
I've checked:
keypad in NetBSD curses was fixed in 2009. All supported NetBSD release (5.x and 6.x) have the fix.
nodelay and keyname were fixed even earlier, in 2003.

So this is no problem for older NetBSD releases.
msg305393 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-11-01 19:17
Guards around functions have been removed in issue31891.

But could you please explain why changes in py_curses.h are needed?
msg305399 - (view) Author: Thomas Klausner (wiz) Date: 2017-11-01 21:54
Thanks for looking at this.
I looked at the patch again, and I can't make sense of the py_curses.h part either - I've removed it from pkgsrc with a request for information if it's still needed.

Btw, thanks for working on NetBSD curses support in Python. You should really try out on a NetBSD 8 (or -current) snapshot as well, since the curses library was improved for better support especially for python curses in the last year.
msg305546 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-11-04 08:54
I see, the curses library takes a large progress. On NetBSD 8 just two previously tests should be fixed (issue31924). Many previously skipped tests are passed now.
History
Date User Action Args
2017-11-04 08:54:41serhiy.storchakasetstatus: open -> closed
superseder: Make curses compiling on NetBSD 7.1 and tests passing
messages: + msg305546

resolution: out of date
stage: resolved
2017-11-01 21:54:00wizsetmessages: + msg305399
2017-11-01 19:17:48serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg305393
2014-05-09 21:56:36wizsetmessages: + msg218201
2014-05-09 11:05:21jceasetnosy: + jcea
messages: + msg218150
2014-05-09 08:58:00wizcreate